# -*- rpm-spec -*-

%define with_introspection 0
%define with_python 0

%if 0%{?fedora} >= 18
%define with_introspection 1
%endif

Name: libvirt-designer
Version: 0.0.1
Release: 6%{?dist}%{?extra_release}
Summary: Libvirt configuration designer
Group: Development/Tools
License: LGPLv2+
URL: http://libvirt.org/
Source0: http://libvirt.org/sources/designer/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libvirt-gconfig-devel >= 0.0.9
BuildRequires: libvirt-gobject-devel >= 0.1.3
%if %{with_introspection}
BuildRequires: gobject-introspection-devel
%endif
BuildRequires: libosinfo-devel >= 0.0.5
BuildRequires: /usr/bin/pod2man

Patch1: 0001-virtxml-Make-global-var-local.patch
Patch2: 0002-virtxml-Switch-to-use-osinfo_db_identify_media.patch
Patch3: 0003-virtxml-Fix-various-memory-leaks.patch
Patch4: 0004-virtxml-Errors-loading-the-Osinfo-DB-are-not-fatal.patch

%package libs
Group: Development/Libraries
Summary: Libvirt configuration designer libraries

%package devel
Group: Development/Libraries
Summary: Libvirt configuration designer development headers
Requires: %{name}-libs = %{version}-%{release}
Requires: libvirt-gconfig-devel >= 0.0.9

%package devel-doc
Group: Development/Libraries
Summary: Libvirt configuration designer development documentation

%description
This package provides the libvirt configuration designer command
line tools.

%description libs
This package provides the libvirt configuration designer run-time
libraries.

%description devel
This package provides the libvirt configuration designer development
headers

%description devel-doc
This package provides the libvirt configuration designer development
documentation like API and exported symbols description.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build

%if %{with_introspection}
%define introspection_arg --enable-introspection
%else
%define introspection_arg --disable-introspection
%endif

%configure %{introspection_arg}
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%__make install  DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/libvirt-designer-1.0.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libvirt-designer-1.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/virtxml
%{_mandir}/man1/virtxml.1*

%files libs
%defattr(-,root,root,-)
%doc README COPYING AUTHORS ChangeLog NEWS
%{_libdir}/libvirt-designer-1.0.so.*
%if %{with_introspection}
%{_libdir}/girepository-1.0/LibvirtDesigner-1.0.typelib
%endif

%files devel
%defattr(-,root,root,-)
%{_libdir}/libvirt-designer-1.0.so
%{_libdir}/pkgconfig/libvirt-designer-1.0.pc
%dir %{_includedir}/libvirt-designer-1.0
%dir %{_includedir}/libvirt-designer-1.0/libvirt-designer
%{_includedir}/libvirt-designer-1.0/libvirt-designer/libvirt-designer.h
%{_includedir}/libvirt-designer-1.0/libvirt-designer/libvirt-designer-*.h
%if %{with_introspection}
%{_datadir}/gir-1.0/LibvirtDesigner-1.0.gir
%endif

%files devel-doc
%{_datadir}/gtk-doc/html/libvirt-designer

%changelog
* Mon Feb 18 2013 Michal Privoznik <mprivozn@redhat.com> 0.0.1-6
- add recent patches to reflect libosinfo changes in set of deprecated functions

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 19 2012 Michal Privoznik <mprivozn@redhat.com> 0.0.1-4
- rebuild to prevent trashcan

* Fri Oct 12 2012 Michal Privoznik <mprivozn@redhat.com> 0.0.1-3
- introduce -devel-doc package
- drop F15 and RHEL referrence at the head

* Fri Oct 12 2012 Michal Privoznik <mprivozn@redhat.com> 0.0.1-2
- changed commiter name of the -1 release

* Tue Oct 09 2012 Michal Privoznik <mprivozn@redhat.com> 0.0.1-1
- Initial packaging of libvirt-designer
